# Uses of Interface
com.sun.source.tree.ParameterizedTypeTree

Packages that use ParameterizedTypeTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

- ## Uses of ParameterizedTypeTree in com.sun.source.tree

  Methods in com.sun.source.tree with parameters of type ParameterizedTypeTree
  Modifier and Type
  Method
  Description
  `R`
  TreeVisitor.`visitParameterizedType(ParameterizedTypeTree node, P p)`
  Visits a `ParameterizedTypeTree` node.

- ## Uses of ParameterizedTypeTree in com.sun.source.util

  Methods in com.sun.source.util with parameters of type ParameterizedTypeTree
  Modifier and Type
  Method
  Description
  `R`
  SimpleTreeVisitor.`visitParameterizedType(ParameterizedTypeTree node, P p)`
  Visits a `ParameterizedTypeTree` node.
  `R`
  TreeScanner.`visitParameterizedType(ParameterizedTypeTree node, P p)`
  Visits a `ParameterizedTypeTree` node.